Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

Viết Lisp Đánh Kích Thước Tự Động Cho Nhiều Điểm Trên 1 Đoạn Thẳng


  • Please log in to reply
6 replies to this topic

#1 hieudesign

hieudesign

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 27 May 2017 - 10:24 AM

Em thường phải đo nhiều kích thước trên 1 đoạn thẳng, điểm đầu ứng với đầu đoạn thẳng, điểm tiếp theo là các tâm hình tròn không cách đều, Nếu em dùng lệnh Dim Basseline (DBA) thì rất mất thời gian, Anh em trên diễn đàn giúp mình viết Lisp để đánh kích thước được nhanh hơn nhé! Em xin cảm ơn anh em diễn đàn trước ! :)

 

 

http://www.cadviet.c...s/7/113471_nho_113471_can_lam_lisp.pngviet_lisp.dwg


  • 0

#2 cuongtk2

cuongtk2

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 27 May 2017 - 12:12 PM

Đây: http://www.cadviet.c...4301_test_6.lsp


  • 3

#3 hieudesign

hieudesign

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 27 May 2017 - 02:17 PM

Cảm ơn bạn rất nhiều! rất đúng ý mình  :)


  • 0

#4 cuongtk2

cuongtk2

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 27 May 2017 - 02:58 PM

Trong phần select mình lấy mã DXF 10 nên bạn có thể select những thứ có Startpoint như: Circle, block, text, line.... Chúc vui


  • 0

#5 hieudesign

hieudesign

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 29 May 2017 - 02:25 PM

Trong phần select mình lấy mã DXF 10 nên bạn có thể select những thứ có Startpoint như: Circle, block, text, line.... Chúc vui

Cảm ơn bạn! bạn giúp mình thêm như sau: bạn có thể thêm bộ lọc đối tượng trong vùng ng vẽ quét vào Lisp ở sau phần select quét vùng các đối tượng được chọn như thế này được không (Vi dụ select các đường tròn có đường kính D (bán kính R) là : số đo ng vẽ đánh vào )

Cảm ơn bạn trước !


  • -1

#6 cuongtk2

cuongtk2

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 29 May 2017 - 10:23 PM

Bạn thay vào  dòng có ..(ssget...)

(setq bankinh (getreal "\nChon duong tron co ban kinh:"))

(if (null bankinh) (setq bankinh 20.0)) ; nếu không nhập vào thì sẽ chọn bán kinh 20.0

(setq ss (ssget (list (cons 0 . "circle) (cons 40 bankinh)))) ; chỉ chọn circle có bán kính vừa nhập


  • 0

#7 hieudesign

hieudesign

    biết zoom

  • Members
  • Pip
  • 15 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 13 June 2017 - 03:01 PM

Bạn ơi, mình đã thay thế phần lập trình thay cho (ssget) nhưng đánh lệnh thì báo lỗi không được, bạn giúp mình thêm.. thanks bạn


  • 0